Create Seller
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/channel/seller \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"session": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
"sellerId": "4711",
"companyName": "Bernd's brennender Brennholzverleih GmbH"
}
EOFimport requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/seller"
payload = {
"session": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
"sellerId": "4711",
"companyName": "Bernd's brennender Brennholzverleih GmbH"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
session: 'f81d4fae-7dec-11d0-a765-00a0c91e6bf6',
sellerId: '4711',
companyName: 'Bernd\'s brennender Brennholzverleih GmbH'
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/seller', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Seller
Create Seller
Connect a new Seller to SCX Platform
POST
/
v1
/
channel
/
seller
Create Seller
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
application/json
New seller account data to be registered on the channel.
Payload to register a new seller account on the channel after a successful signup session.
Example:
"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
Pattern:
^\w{1,50}$Example:
"4711"
Example:
"Bernd's brennender Brennholzverleih GmbH"
Response
Seller linked
Was this page helpful?
⌘I